///File : PanelRIEdit.hpp
//------------------------------------------------------------------------------
/*
    This file is part of DevisMaker.

    DevisMaker is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DevisMaker is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with DevisMaker.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#if not defined PANEL_ROOMS_ITEMS_EDIT_HPP_DEVIS_MAKER
#define PANEL_ROOMS_ITEMS_EDIT_HPP_DEVIS_MAKER

//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include "config.hpp"
//------------------------------------------------------------------------------
#include <ItemSectionDBManager.hpp>
//------------------------------------------------------------------------------
#include <wx/listctrl.h>
#include <wx/event.h>
#include <wx/wupdlock.h>
//------------------------------------------------------------------------------
#include "strWxStdConv.hpp"
#include "MainFrame.hpp"
//------------------------------------------------------------------------------
class MainPanel;
class MainFrame;
//------------------------------------------------------------------------------
//-                               MainPanel                                   -
//------------------------------------------------------------------------------
class MainPanel : public wxPanel
{
public:
    MainPanel(wxWindow* parent, wxWindowID id, ItemSectionDBManager *IRDBManager, bool isItems = true, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxTAB_TRAVERSAL);

    // Events
    void OnAdd(wxCommandEvent& event);
    void OnRm(wxCommandEvent& event);
    void OnEdit(wxEvent& event);
    void OnNameEdit(wxCommandEvent& event);
    void OnRefEdit(wxCommandEvent& event);
    void OnPriceHTEdit(wxCommandEvent& event);
    void OnTaxeEdit(wxCommandEvent& event);
    void OnEcoPartEdit(wxCommandEvent& event);
    void OnListKeyDown(wxKeyEvent& event);

    void OnSearchText(wxCommandEvent& event);

    bool RefWarningMsgBox();

    void FeedTbl();
    std::vector<std::string> GetSelectedRefList() const;
    void DeselectAll();
    void SelectAll();

private:
    ItemSectionDBManager *m_IRDBManager;

    bool m_isItems;

    wxMenu m_PopupMenu;

    wxListView *m_Table;

    wxButton *m_BtAdd, *m_BtRm, *m_BtEdit;

    wxTextCtrl *m_TextSearch;

    enum{Id_NameEdit, Id_PriceHTEdit, Id_TaxeEdit, Id_EcoPartEdit, Id_RefEdit};
};

//------------------------------------------------------------------------------
//-                               PanelSections                                   -
//------------------------------------------------------------------------------
/*class PanelSections : public wxPanel
{
public:
    PanelSections(wxWindow* parent, wxWindowID id, DevisManager *devisManager, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxTAB_TRAVERSAL);


private:

    DevisManager *m_DevisManager;
};*/

#endif //PANEL_ROOMS_ITEMS_EDIT_HPP_DEVIS_MAKER
